MS11-033: Vulnerability in WordPad Text Converters Could Allow Remote Code Execution (2485663)

High Nessus Plugin ID 53390


Arbitrary code can be executed on the remote host through the installed version of Microsoft WordPad.


The installed version of Microsoft WordPad includes text converters that do not correctly parse certain fields in a Word document.

If an attacker can trick a user on the affected system into opening a specially crafted Word document using WordPad, this issue could be leveraged to execute arbitrary code subject to the user's privileges.


Microsoft has released a set of patches for XP and 2003.

See Also

Plugin Details

Severity: High

ID: 53390

File Name: smb_nt_ms11-033.nasl

Version: $Revision: 1.15 $

Type: local

Agent: windows

Published: 2011/04/13

Modified: 2017/07/26

Dependencies: 11336, 57033

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 7.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/o:microsoft:windows

Required KB Items: SMB/MS_Bulletin_Checks/Possible

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2011/04/12

Vulnerability Publication Date: 2011/04/12

Reference Information

CVE: CVE-2011-0028

BID: 47236

OSVDB: 71778

MSFT: MS11-033

IAVB: 2011-B-0048

MSKB: 2485663